/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

void led(int num, uint8_t value)
{
    switch(num) {
    case 0: LED0_Write(value) ; break ;
    case 1: LED1_Write(value) ; break ;
    case 2: LED2_Write(value) ; break ;
    case 3: LED3_Write(value) ; break ;
    case 4: LED4_Write(value) ; break ;
    }
}

int main(void)
{
    int count = 0 ;
    CyGlobalIntEnable; /* Enable global interrupts. */
    UART_Start() ;
    UART_UartPutString("LED Test Program\r\n") ;

    for(;;) {
        switch(count) {
        case 0:
            led(0, 0) ; /* Turn LED0 ON */
            led(1, 1) ; /* Turn LED1 OFF */
            led(2, 1) ; /* Turn LED2 OFF */
            led(3, 1) ; /* Turn LED3 OFF */
            led(4, 1) ; /* Turn LED4 OFF */
            break ;
        case 1:
            led(0, 1) ; /* Turn LED0 OFF */
            led(1, 0) ; /* Turn LED1 ON */
            led(2, 1) ; /* Turn LED2 OFF */
            led(3, 1) ; /* Turn LED3 OFF */
            led(4, 1) ; /* Turn LED4 OFF */
            break ;
        case 2:
            led(0, 1) ; /* Turn LED0 OFF */
            led(1, 1) ; /* Turn LED1 OFF */
            led(2, 0) ; /* Turn LED2 ON */
            led(3, 1) ; /* Turn LED3 OFF */
            led(4, 1) ; /* Turn LED4 OFF */
            break ;
        case 3:
            led(0, 1) ; /* Turn LED0 OFF */
            led(1, 1) ; /* Turn LED1 OFF */
            led(2, 1) ; /* Turn LED2 OFF */
            led(3, 0) ; /* Turn LED3 ON */
            led(4, 1) ; /* Turn LED4 OFF */
            break ;
        case 4:
            led(0, 1) ; /* Turn LED0 OFF */
            led(1, 1) ; /* Turn LED1 OFF */
            led(2, 1) ; /* Turn LED2 OFF */
            led(3, 1) ; /* Turn LED3 OFF */
            led(4, 0) ; /* Turn LED4 ON */
            break ;
        }
        count = (count + 1)%5 ;
        CyDelay(500) ;
    }
}

/* [] END OF FILE */
